org.objectweb.util.ant

## Class DirectoryScannerHelper

- java.lang.Object
- - org.objectweb.util.ant.DirectoryScannerHelper

    public class DirectoryScannerHelper
    extends Object

This tool class helps the use of DirectoryScanner.

Author:
  S.Chassande-Barrioz

### Constructor Summary

Constructors
Constructor and Description
`DirectoryScannerHelper()`

### Method Summary

Methods
`static List` `getSelectedDirectories(org.apache.tools.ant.DirectoryScanner ds, org.apache.tools.ant.Project project)` Extract selected directories from a matching task.
`static String[]` `getSelectedDirectoriesAsString(org.apache.tools.ant.DirectoryScanner ds, org.apache.tools.ant.Project project)` Extract selected directories from a matching task.
`static List` `getSelectedFiles(org.apache.tools.ant.DirectoryScanner ds, org.apache.tools.ant.Project project)` Extract selected files from a matching task.
`static String[]` `getSelectedFilesAsString(org.apache.tools.ant.DirectoryScanner ds, org.apache.tools.ant.Project project)` Extract selected files from a matching task.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectoryScannerHelper

    public DirectoryScannerHelper()

### Method Detail

#### getSelectedFiles

    public static List getSelectedFiles(org.apache.tools.ant.DirectoryScanner ds,
                        org.apache.tools.ant.Project project)

Extract selected files from a matching task.

Parameters:
  `mt` - is the matching task
  `root` - is the file descriptor of the root directory
Returns:
  a collection of String corresponding to selected files

#### getSelectedFilesAsString

    public static String[] getSelectedFilesAsString(org.apache.tools.ant.DirectoryScanner ds,
                                    org.apache.tools.ant.Project project)

Extract selected files from a matching task.

Parameters:
  `mt` - is the matching task
  `root` - is the file descriptor of the root directory
Returns:
  an array of String corresponding to selected files

#### getSelectedDirectories

    public static List getSelectedDirectories(org.apache.tools.ant.DirectoryScanner ds,
                              org.apache.tools.ant.Project project)

Extract selected directories from a matching task.

Parameters:
  `mt` - is the matching task
  `root` - is the file descriptor of the root directory
Returns:
  a collection of String corresponding to selected directories

#### getSelectedDirectoriesAsString

    public static String[] getSelectedDirectoriesAsString(org.apache.tools.ant.DirectoryScanner ds,
                                          org.apache.tools.ant.Project project)

Extract selected directories from a matching task.

Parameters:
  `mt` - is the matching task
  `root` - is the file descriptor of the root directory
Returns:
  an array of String corresponding to selected directories